Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class ClosureListExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ListExpression
                      org.codehaus.groovy.ast.expr.ClosureListExpression

    public class ClosureListExpression
    extends ListExpression

This class rerpresents a list of expressions used to create closures. Example: `def foo = (1;2;;)` The right side is a ClosureListExpression consisting of two ConstantExpressions for the values 1 and 2, and two EmptyStatement entries. The ClosureListExpression defines a new variable scope. All created Closures share this scope.

Authors:
  Jochen Theodorou

Constructor Summary
`ClosureListExpression(List expressions)`
`ClosureListExpression()`

Method Summary
`String` | `getText()`
`VariableScope` | `getVariableScope()`
`void` | `setVariableScope(VariableScope scope)`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class ListExpression
addExpression, getExpression, getExpressions, getText, isWrapped, setWrapped, toString, transformExpression, visit

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ClosureListExpression

    public ClosureListExpression(List expressions)

### ClosureListExpression

    public ClosureListExpression()

Method Detail

### getText

    public String getText()

### getVariableScope

    public VariableScope getVariableScope()

### setVariableScope

    public void setVariableScope(VariableScope scope)

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.